# Examples - Overview

This section discusses the included examples of the FMIFlux.jl library. You can execute them on your machine and get detailed information about all of the steps. 
If you require further information about the function calls, see [library functions](https://thummeto.github.io/FMIFlux.jl/dev/library/) section. 
For more information related to the setup and simulation of an FMU see [FMI.jl library](https://thummeto.github.io/FMI.jl/dev/).

The examples are intended for users who work in the field of first principle and/or data driven modeling and are further interested in hybrid model building. 
The examples show how to combine FMUs with machine learning ("NeuralFMU") and illustrates the advantages of this approach.

## Examples
- [__Simple CS-NeuralFMU__](https://thummeto.github.io/FMIFlux.jl/dev/examples/simple_hybrid_CS/): Showing how to train a NeuralFMU in Co-Simulation-Mode.
- [__Simple ME-NeuralFMU__](https://thummeto.github.io/FMIFlux.jl/dev/examples/simple_hybrid_ME/): Showing how to train a NeuralFMU in Model-Exchange-Mode.
- [__Growing Horizon ME-NeuralFMU__](https://thummeto.github.io/FMIFlux.jl/dev/examples/growing_horizon_ME/): Growing horizon training technique for a ME-NeuralFMU.

## Advanced examples: Demo applications
- [__JuliaCon 2023: Using NeuralODEs in real life applications__](https://thummeto.github.io/FMIFlux.jl/dev/examples/juliacon_2023/): An example for a NeuralODE in a real world engineering scenario.
- [__MDPI 2022: Physics-enhanced NeuralODEs in real-world applications__](https://thummeto.github.io/FMIFlux.jl/dev/examples/mdpi_2022/): An example for a NeuralODE in a real world modeling scenario (Contribution in *MDPI Electronics 2022*).
- [__Modelica Conference 2021: NeuralFMUs__](https://thummeto.github.io/FMIFlux.jl/dev/examples/modelica_conference_2021/): Showing basics on how to train a NeuralFMU (Contribution for the *Modelica Conference 2021*).

## Archived
- ...